Package: org.gradle.tooling.events.task

## [Java] Interface TaskSuccessResult

- org.gradle.tooling.events.OperationResult

- All Superinterfaces:
    TaskOperationResult, SuccessResult, OperationResult

  Describes how a task operation finished successfully.

  Since:
    2.5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isUpToDate()` Returns whether this task was uptodate.

- - ### Method Detail

    - #### public boolean isUpToDate()

      Returns whether this task was uptodate.

      Returns:
        `true` if this task was uptodate